enet: _ENetPeer Struct Reference

enet

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_ENetPeer Struct Reference

An ENet peer which data packets may be sent or received from. More...

`#include <enet.h>`

## Data Fields
ENetListNode | dispatchList
struct _ENetHost * | host
enet_uint16 | outgoingPeerID
enet_uint16 | incomingPeerID
enet_uint32 | connectID
enet_uint8 | outgoingSessionID
enet_uint8 | incomingSessionID
ENetAddress | address
| Internet address of the peer.
void * | data
| Application private data, may be freely modified.
ENetPeerState | state
ENetChannel * | channels
size_t | channelCount
| Number of channels allocated for communication with peer.
enet_uint32 | incomingBandwidth
| Downstream bandwidth of the client in bytes/second.
enet_uint32 | outgoingBandwidth
| Upstream bandwidth of the client in bytes/second.
enet_uint32 | incomingBandwidthThrottleEpoch
enet_uint32 | outgoingBandwidthThrottleEpoch
enet_uint32 | incomingDataTotal
enet_uint32 | outgoingDataTotal
enet_uint32 | lastSendTime
enet_uint32 | lastReceiveTime
enet_uint32 | nextTimeout
enet_uint32 | earliestTimeout
enet_uint32 | packetLossEpoch
enet_uint32 | packetsSent
enet_uint32 | packetsLost
enet_uint32 | packetLoss
| mean packet loss of reliable packets as a ratio with respect to the constant ENET_PEER_PACKET_LOSS_SCALE
enet_uint32 | packetLossVariance
enet_uint32 | packetThrottle
enet_uint32 | packetThrottleLimit
enet_uint32 | packetThrottleCounter
enet_uint32 | packetThrottleEpoch
enet_uint32 | packetThrottleAcceleration
enet_uint32 | packetThrottleDeceleration
enet_uint32 | packetThrottleInterval
enet_uint32 | pingInterval
enet_uint32 | timeoutLimit
enet_uint32 | timeoutMinimum
enet_uint32 | timeoutMaximum
enet_uint32 | lastRoundTripTime
enet_uint32 | lowestRoundTripTime
enet_uint32 | lastRoundTripTimeVariance
enet_uint32 | highestRoundTripTimeVariance
enet_uint32 | roundTripTime
| mean round trip time (RTT), in milliseconds, between sending a reliable packet and receiving its acknowledgement
enet_uint32 | roundTripTimeVariance
enet_uint32 | mtu
enet_uint32 | windowSize
enet_uint32 | reliableDataInTransit
enet_uint16 | outgoingReliableSequenceNumber
ENetList | acknowledgements
ENetList | sentReliableCommands
ENetList | sentUnreliableCommands
ENetList | outgoingReliableCommands
ENetList | outgoingUnreliableCommands
ENetList | dispatchedCommands
int | needsDispatch
enet_uint16 | incomingUnsequencedGroup
enet_uint16 | outgoingUnsequencedGroup
enet_uint32 | unsequencedWindow [ENET_PEER_UNSEQUENCED_WINDOW_SIZE/32]
enet_uint32 | eventData
size_t | totalWaitingData

## Detailed Description

No fields should be modified unless otherwise specified.

The documentation for this struct was generated from the following file:

- enet.h